#
# Install the Launch MergeTB GUI
#
apiUri: api.lh.example.net
authUri: api.lh.example.net
launchUri: launch.lh.example.net
newsUri: mergetb.gitlab.io/portal/news/news.json
alertsUri: 
editAlertsUri:

replicaCount: 1

image:
  repository: registry.gitlab.com/mergetb/portal/launch
  pullPolicy: IfNotPresent
  tag: ""

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 8080

ingress:

  enabled: true
  #
  # If given, use this cert issuer. Otherwise add 
  # the apprpriate settings in the ingress annotations.
  #
  certIssuer:
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"

  className: ""
  # Existing service name for the kratos instance that handles id auth.
  # default is "kratos-public" which is the default if kratos is helm-installed
  # authSvc: kratos-public
  
  tls: true

resources: {}

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations:
  - effect: NoSchedule
    key: dedicated
    operator: Equal
    value: service_worker

affinity: {}
